%define oname clutter-gtk
%define version 1.0.0
%define git 0
%define rel 2
%if ! %git
%define release %mkrel %rel
%else
%define release %mkrel -c %git %rel
%endif

%define api 1.0
%define major 0
%define libname %mklibname %oname %api %major
%define libnamedevel %mklibname -d %oname %api

Summary:       GTK+3 Support for Clutter
Name:          %{oname}3
Version:       %{version}
Release:       %{release}
%if %git
Source0:       %{oname}-%{git}.tar.xz
%else
Source0:       http://www.clutter-project.org/sources/clutter-gtk/%api/%{oname}-%{version}.tar.xz
%endif
License:       LGPLv2+
Group:         Graphics
Url:           http://clutter-project.org/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: clutter-devel >= 1.6.0
BuildRequires: gtk+3-devel >= 3.0.0
BuildRequires: gtk-doc
BuildRequires: docbook-dtd412-xml
BuildRequires: gobject-introspection-devel >= 0.6.14

%description
A library providing facilities to integrate Clutter into GTK+ 3
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

Because of limitations inside Clutter, it is only possible to embed a single
ClutterStage.

%package -n %libname
Summary:       GTK+3 Support for Clutter
Group:         Graphics
Obsoletes:	%{_lib}clutter-gtk31.0_0 < 0.91.8-2

%description -n %libname
A library providing facilities to integrate Clutter into GTK+ 3
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

Because of limitations inside Clutter, it is only possible to embed a single
ClutterStage.


%package -n %libnamedevel
Summary:       Development headers/libraries for %name
Group:         Development/X11
Provides:      %name-devel = %version-%release
Requires:      %libname = %version-%release
Obsoletes:	%{_lib}clutter-gtk31.0-devel < 0.91.8-2

%description -n %libnamedevel
Development headers/libraries for %name (see %libname package)

#----------------------------------------------------------------------------

%prep

%if %git
%setup -q -n %oname
./autogen.sh -V
%else
%setup -q -n %oname-%version
%endif

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf %buildroot

%makeinstall_std

%clean
rm -rf %buildroot

%post	-n %{libname}
/sbin/ldconfig

%postun	-n %{libname}
/sbin/ldconfig


%files -n %libname
%defattr(-,root,root)
%_libdir/lib%{oname}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/*.typelib

%files -n %libnamedevel
%_libdir/pkgconfig/%{oname}-%{api}.pc
%_libdir/lib%{oname}-%{api}.la
%_libdir/lib%{oname}-%{api}.so
%_includedir/clutter-gtk-%{api}/
%dir %_datadir/gtk-doc/html/%oname-%api 
%doc %_datadir/gtk-doc/html/%oname-%api/*
%{_datadir}/gir-1.0/*.gir

%changelog
* Thu Apr 07 2011 Texstar <texstar at gmail.com> 1.0.0-2pclos2011
- add back gir

* Thu Apr 07 2011 Texstar <texstar at gmail.com> 1.0.0-1pclos2011
- import into pclos based on specfile from pld/mdv


